## AscDirectoryUnit AscDirectoryUnit — A data source unit representing a simple directory tree |

## Functions

AscDirectoryUnit * | asc_directory_unit_new ()
const gchar * | asc_directory_unit_get_root ()
void | asc_directory_unit_set_root ()

## Types and Values

#define | ASC_TYPE_DIRECTORY_UNIT
struct | AscDirectoryUnitClass
| AscDirectoryUnit

## Includes

    #include <appstream-compose.h>

## Description

## Functions

### asc_directory_unit_new ()

    AscDirectoryUnit *
    asc_directory_unit_new (const gchar *root_dir);

Creates a new AscDirectoryUnit.

### asc_directory_unit_get_root ()

    const gchar *
    asc_directory_unit_get_root (AscDirectoryUnit *dirunit);

Get the root directory path for this unit.

#### Parameters

dirunit | an AscDirectoryUnit instance. |

### asc_directory_unit_set_root ()

    void
    asc_directory_unit_set_root (AscDirectoryUnit *dirunit,
                                 const gchar *root_dir);

Sets the root directory path for this unit.

#### Parameters

dirunit | an AscDirectoryUnit instance. |
root_dir | Absolute directory path |

## Types and Values

### ASC_TYPE_DIRECTORY_UNIT

    #define ASC_TYPE_DIRECTORY_UNIT (asc_directory_unit_get_type ())

### struct AscDirectoryUnitClass

    struct AscDirectoryUnitClass {
    	AscUnitClass parent_class;
    };

### AscDirectoryUnit

    typedef struct _AscDirectoryUnit AscDirectoryUnit;